LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Is Apache 2.2.0 mod_proxy_ajp needed for tomcat? (http://www.linuxquestions.org/questions/linux-software-2/is-apache-2-2-0-mod_proxy_ajp-needed-for-tomcat-492980/)

cygnus-x1 10-16-2006 06:39 PM

Is Apache 2.2.0 mod_proxy_ajp needed for tomcat?
 
I am getting ready to set up Apache 2.2, Tomcat 5.5.20, and the latest mod_jk. I was reading the whats new section or Apache 2.2.0 and it mentioned using mod_proxy_ajp for the ajp13 protocol. I then went to the Jakarta Connectors page and found the usual (slim) documentation on mod_jk and they did not mention any change in usage.

So does any of you out there know what this module is used for? Are you supposed to use it with/in place of mod_jk?

thanks

Doug

mrcheeks 10-16-2006 07:10 PM

I never heard about mod_proxy_ajp and I have never seen someone use something other than mod_jk mod_jk2, mod_jserv or mod_webapp.

cygnus-x1 10-16-2006 07:50 PM

I have apache 2.20 and tomcat 5.5 with mod jk running in production already. I have to set up another application and just hapopen to run across the mod_proxy_ajp. When you look at the module docs its all about the protocol and not you might actually use it.


All times are GMT -5. The time now is 07:38 PM.